Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLARZ

    java.lang.Object
      org.netlib.lapack.SLARZ

    public class SLARZ

extends java.lang.Object

    SLARZ is a simplified interface to the JLAPACK routine slarz.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLARZ applies a real elementary reflector H to a real M-by-N
     *  matrix C, from either the left or the right. H is represented in the

     *  form
     *
     *        H = I - tau * v * v'
     *
     *  where tau is a real scalar and v is a real vector.
     *
     *  If tau = 0, then H is taken to be the unit matrix.
     *
     *
     *  H is a product of k elementary reflectors as returned by STZRZF.
     *
     *  Arguments
     *  =========
     *
     *  SIDE    (input) CHARACTER*1
     *          = 'L': form  H * C
     *          = 'R': form  C * H
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix C.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix C.
     *
     *  L       (input) INTEGER
     *          The number of entries of the vector V containing
     *          the meaningful part of the Householder vectors.
     *          If SIDE = 'L', M >= L >= 0, if SIDE = 'R', N >= L >= 0.
     *
     *  V       (input) REAL array, dimension (1+(L-1)*abs(INCV))
     *          The vector v in the representation of H as returned by
     *          STZRZF. V is not used if TAU = 0.
     *
     *  INCV    (input) INTEGER
     *          The increment between elements of v. INCV <> 0.
     *
     *  TAU     (input) REAL
     *          The value tau in the representation of H.
     *
     *  C       (input/output) REAL array, dimension (LDC,N)
     *          On entry, the M-by-N matrix C.
     *          On exit, C is overwritten by the matrix H * C if SIDE = 'L',

     *          or C * H if SIDE = 'R'.
     *
     *  LDC     (input) INTEGER
     *          The leading dimension of the array C. LDC >= max(1,M).
     *
     *  WORK    (workspace) REAL array, dimension
     *                         (N) if SIDE = 'L'
     *                      or (M) if SIDE = 'R'
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *    A. Petitet, Computer Science Dept., Univ. of Tenn., Knoxville, USA

     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLARZ()`

Method Summary
`static void` | `SLARZ(java.lang.String side, int m, int n, int l, float[] v, int incv, float tau, float[][] c, float[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLARZ

    public SLARZ()

Method Detail

### SLARZ

    public static void SLARZ(java.lang.String side,
                             int m,
                             int n,
                             int l,
                             float[] v,
                             int incv,
                             float tau,
                             float[][] c,
                             float[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD